package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumSendMsg {

    YES(1, "已发送"),
    NO(0, "未发送");

    public static EnumSendMsg getEnum(Integer code) {
        for (EnumSendMsg value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSendMsg(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
